﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Windows.Input;

namespace WpfApplication1
{
    public class InstalationEmissionDateInformation
    {
        public string Installation { get; set; }
        public Decimal Emission { get; set; }
        public string Date { get; set; }
        public Decimal Assignation { get; set; }

        public InstalationEmissionDateInformation(
            string installation,
            Decimal emission,
            string date,
            Decimal assignation)
        {
            Installation = installation;
            Emission = emission;
            Date = date;
            Assignation = assignation;
        }
    }

    public class VM : INotifyPropertyChanged
    {
        public VM()
        {
            dataCollection = new ObservableCollection<InstalationEmissionDateInformation>();
            dataCollection.Add(new InstalationEmissionDateInformation("A", 5, "1/1/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 2, "1/1/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 7, "1/1/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("A", 6, "1/2/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 3, "1/2/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 8, "1/2/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("A", 6, "1/3/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 3, "1/3/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 6, "1/3/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("A", 4, "1/4/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 3, "1/4/2012", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 7, "1/4/2012", 1));

            this.command1 = new DelegateCommand(this.CommandAction);
        }

        private ObservableCollection<InstalationEmissionDateInformation> dataCollection;
        public ObservableCollection<InstalationEmissionDateInformation> DataCollection
        {
            get
            {
                return dataCollection;
            }
            set
            {
                dataCollection = value;
                this.RaisePropertyChanged("DataCollection");
            }
        }

        private ICommand command1;
        public ICommand Command1
        {
            get
            {
                return this.command1;
            }
        }

        private void CommandAction(object p)
        {
            dataCollection = new ObservableCollection<InstalationEmissionDateInformation>();
            dataCollection.Add(new InstalationEmissionDateInformation("A", 5, "1/1/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 2, "1/1/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 7, "1/1/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("A", 6, "1/2/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 3, "1/2/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 8, "1/2/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("A", 6, "1/3/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 3, "1/3/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 6, "1/3/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("A", 4, "1/4/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("B", 3, "1/4/2015", 1));
            dataCollection.Add(new InstalationEmissionDateInformation("C", 7, "1/4/2015", 1));
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
